Can you unlock an iPhone 4 on 4.1?

Discussion in 'Jailbreaks and iOS Hacks' started by PSpfano, Oct 16, 2010.

  1. PSpfano macrumors newbie

    Joined:
    Jun 9, 2009
    #1
    I know that you can jailbreak on 4.1 but does ultrasn0w work on the iPhone 4 running on 4.1?
     
  2. Block macrumors 6502a

    Block

    Joined:
    Jun 28, 2007
    #2
    If you upgraded the baseband when you upgraded to 4.1 then you cannot. However a new unlock should be out in the near future.
     
  3. boon209 macrumors member

    Joined:
    Aug 12, 2010
    #3
    Yup. I'm unlocked on 4.1 ip4. Used TU to keep old Baseband.
     
  4. baller1308 macrumors 6502a

    Joined:
    Dec 8, 2009
    #4
    No. Expect an unlock at 4.2.
     
  5. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #5
    Did the devteam say they were going to have an unlock at 4.2 or is this just hearsay?
     
  6. MikePA macrumors 68020

    MikePA

    Joined:
    Aug 17, 2008
    #6
    Every post about a new unlock is hearsay.
     
  7. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #7
    If the devteam has been posting that they will likely have an unlock by 4.2, that's a different matter entirely.
     
  8. hackthatphone macrumors 68000

    hackthatphone

    Joined:
    Jul 28, 2010
    #8
    MuscleNerd tweeted several days ago:

    @dennis_rnb 3GS users at 4.2 will be covered for the carrier unlock (but not til 4.2 is out)
     
  9. IrishVixen macrumors 68020

    IrishVixen

    Joined:
    Jun 20, 2010
    #9
    They have, however, indicated that only "some" phones will be unlockable "sometime" after 4.2. They have not said which ones. And of course, all this is subject to change. ;)
     
  10. PSpfano thread starter macrumors newbie

    Joined:
    Jun 9, 2009
    #10
    How do you keep the baseband?
     
  11. iPhone-power macrumors 6502a

    Joined:
    Nov 12, 2009
    #11
    If you are already on 4.1 firmware, it is too late.
     
  12. Kayan macrumors 6502

    Joined:
    Jul 7, 2010
    Location:
    CA
    #12
    Yup, in order to "keep the baseband", you need to have already "had the baseband" to start with, then use TinyUmbrella to update to 4.1 a special way that you can google the documentation for. You cannot downgrade the baseband.
     

Share This Page